package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statistics;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 动态表单 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class LogStatisticsDetailsListVO {
    @Schema(description = "按时提交")
    private List<LogStatisticsDetailsVO> onTime;

    @Schema(description = "迟交")
    private List<LogStatisticsDetailsVO> late;

    @Schema(description = "未提交")
    private List<LogStatisticsDetailsVO> unSubmitted;
}

