package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statistics;

import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogFormDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 动态表单 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class LogStatisticsModelVO extends LogFormDO {
    @Schema(description = "按时提交数量")
    private Integer onTimeNum = 0;

    @Schema(description = "迟交数量")
    private Integer lateNum = 0;

    @Schema(description = "未提交数量")
    private Integer unSubmittedNum = 0;

    @Schema(description = "提交范围")
    private String commitTimeRange;
}

