package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 上传业务文件 Request VO")
@Data
public class BusinessFileUploadReqVO {

    @Schema(description = "附件地址", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "附件地址不能为空")
    private List<String> urls;

    @Schema(description = "流程实例编号", example = "7c45f44f-b775-11ee-aba7-5ea7f9635f60")
    @NotNull(message = "流程实例编号不能为空")
    private String businessInstanceId;



}
