package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statistics;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工作日志统计新增/修改 Request VO")
@Data
public class LogStatisticsSaveReqVO {
    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "21181")
    private Long id;

    @Schema(description = "模板编号", example = "27285")
    private Long formId;

    @Schema(description = "模板规则编号", example = "17370")
    private Long ruleId;

    @Schema(description = "用户id", example = "23689")
    private Long userId;

    @Schema(description = "部门编号", example = "21782")
    private Long deptId;

    @Schema(description = "日志id", example = "30875")
    private Long logInstanceExtId;

    @Schema(description = "日志类型 1日报 2周报", example = "1")
    private Integer type;

    @Schema(description = "提交状态 1按时提交 2迟交 3未提交", example = "2")
    private Integer status;

    @Schema(description = "提交日期 格式 yyyy-MM-dd")
    private String time;

}