package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statisticsrecord;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工作日志统计记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LogStatisticsRecordRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "18988")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "模板编号", example = "4029")
    @ExcelProperty("模板编号")
    private Long formId;

    @Schema(description = "模板规则编号", example = "19133")
    @ExcelProperty("模板规则编号")
    private Long ruleId;

    @Schema(description = "是否统计过 0否 1是")
    @ExcelProperty("是否统计过 0否 1是")
    private Integer statisticsFlag;

    @Schema(description = "统计日期 格式 yyyy-MM-dd")
    @ExcelProperty("统计日期 格式 yyyy-MM-dd")
    private String time;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}