package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.statisticsrecord;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工作日志统计记录新增/修改 Request VO")
@Data
public class LogStatisticsRecordSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "18988")
    private Long id;

    @Schema(description = "模板编号", example = "4029")
    private Long formId;

    @Schema(description = "模板规则编号", example = "19133")
    private Long ruleId;

    @Schema(description = "是否统计过 0否 1是")
    private Integer statisticsFlag;

    @Schema(description = "统计日期 格式 yyyy-MM-dd")
    private String time;

}