package cn.iocoder.yudao.module.system.controller.app.comment.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class CommentDTO {
    @Schema(description = "工作日志id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long workLogId;
    @Schema(description = "评论类型（0|评论；1|回评")
    private Integer type;
    @Schema(description = "是否需要显示日志内容 0否 1是 默认否")
    private Integer isShowWorkLogContent;

    @Schema(description = "是否查看自己的评论记录 0否 1是")
    private Integer checkMyselfFlag;

    @Schema(description = "用户id")
    private Long userId;
}
