package cn.iocoder.yudao.module.system.dal.dataobject.worklog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 日志模板使用者 DO
 *
 * @author 符溶馨
 */
@TableName("work_log_use")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogUseDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;

    /**
     * 模板编号
     */
    private Long formId;

    /**
     * 规则编号
     */
    private Long ruleId;

    /**
     * 使用者编号
     */
    private Long useUserId;

    /**
     * 使用者部门编号
     */
    private Long useUserDept;
}
